Skip to main content
GET
/
{version}
/
status
/
refund
/
{reference_id}
Get Refund Status
curl --request GET \
  --url https://api.example.com/{version}/status/refund/{reference_id} \
  --header 'Authorization: Bearer <token>'
{
  "reference_id": "<string>",
  "status": "<string>",
  "payer_amount": 123,
  "payer_currency": "<string>",
  "payee_currency": "<string>",
  "payee_amount": 123,
  "operation_type": "<string>",
  "provider_transaction_id": "<string>",
  "gateway_message": "<string>",
  "wallet_message": "<string>",
  "client_secret": "<string>",
  "requires_action": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"
reference_id
string
required

Response

Successful Response

ExecutionResponse

reference_id
string
required
status
string
required
payer_amount
required
payer_currency
string
required
payee_currency
string
required
payee_amount
required
operation_type
string
required
provider_transaction_id
string | null
gateway_message
string | null
wallet_message
string | null
client_secret
string | null
requires_action
boolean | null
Last modified on June 23, 2026